/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.regelung-table-holder {
  margin-bottom: 35px;
  .regelung-table {
    .ant-table {
      font-size: @platform-table-font-size;
      line-height: @platform-table-line-height;
      border-collapse: collapse;
      thead {
        th,
        td {
          background-color: @platform-blue3;
          border: 1px solid @platform-blue4;
          border-bottom: 2px solid @platform-text-color;
          &:first-child {
            background-color: @platform-blue4;
          }
        }
        td {
          border: none;
        }
      }
      tr {
        height: 1px;
        &:hover {
          td {
            background-color: @platform-blue3;
            &:first-child {
              background-color: @platform-blue4;
            }
          }
        }
      }

      tbody {
        tr:first-child {
          td,
          th {
            padding-top: 24px;
          }
        }
        .ant-table-cell {
          background-color: @platform-blue3;
          padding: 12px 0;
          border: 1px solid @platform-blue4;
          border-width: 0 1px;
          height: inherit;
          vertical-align: top;
          font-weight: normal;
          .ant-form-item-control-input {
            min-height: auto;
          }
          &:first-child {
            background-color: @platform-blue4;
          }
          .ant-form-item {
            margin: 0;
            padding: 12px;
            .ant-input,
            .ant-input-number-input {
              line-height: 24px;
              font-size: 1.6rem;
            }
            .ant-input-number-input {
              height: auto;
              padding: 3px 12px;
              &:hover,
              &:focus {
                border-color: @platform-blue2;
                box-shadow: inset 0px 0px 0px 1px @platform-blue2;
              }
            }
            .ant-input-number {
              &.ant-input-number-focused,
              &:hover,
              &:focus {
                box-shadow: none;
                border-color: @platform-blue2;
              }
            }
          }
          .bezeichnung-cell {
            min-width: 304px;
            height: 100%;
            display: table;
            background-color: #fff;
            width: 100%;
            &.text,
            &.summe {
              padding: 16px 12px;
              background-color: #fff;
            }
            &.summe {
              font-weight: 500;
            }
            textarea {
              padding: 3px 12px;
              line-height: 24px;
              font-size: 1.6rem;
              min-height: auto;
            }
          }
          .delete-einzelplan {
            float: right;
            margin: 12px;
          }
          .year-cell {
            text-align: right;
            height: 100%;
            background-color: #fff;
            display: flex;
            min-width: 120px;
            .ant-form-item {
              padding-right: 6px;
            }
            input {
              text-align: right;
            }
            .value {
              width: 100px;
              padding: 14px 6px 12px 12px;
            }
            .currency-label {
              padding: 14px 5px 12px 0px;
            }
          }
        }
        .summe-row {
          .ant-table-cell {
            font-weight: 500;
            padding-bottom: 48px;
          }
        }
        tr:last-child {
          td,
          th {
            padding-bottom: 48px;
          }
        }
      }
    }
  }
}
